FeedType (gCube Social Networking Library 1.16.1-SNAPSHOT API)
Date: 2019-09-27

org.gcube.portal.databook.shared

## Enum FeedType

- java.lang.Object
- - java.lang.Enum<FeedType>
  - - org.gcube.portal.databook.shared.FeedType

- All Implemented Interfaces:
    Serializable, Comparable<FeedType>

      public enum FeedType
      extends Enum<FeedType>

  Version:
    1.2 October 2012
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNTING` Special case used when accounting
    `CONNECTED`
    `DISABLED` Special case used when a Feed is removed
    `JOIN`
    `PUBLISH`
    `SHARE`
    `TWEET`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FeedType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FeedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JOIN

          public static final FeedType JOIN

    - #### SHARE

          public static final FeedType SHARE

    - #### PUBLISH

          public static final FeedType PUBLISH

    - #### TWEET

          public static final FeedType TWEET

    - #### CONNECTED

          public static final FeedType CONNECTED

    - #### ACCOUNTING

          public static final FeedType ACCOUNTING

      Special case used when accounting

    - #### DISABLED

          public static final FeedType DISABLED

      Special case used when a Feed is removed

  - ### Method Detail

    - #### values

          public static FeedType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeedType c : FeedType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeedType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All Rights Reserved.